#include "libscl.h"

using namespace std;
using namespace scl;

int main()
{

  INTEGER arows;
  INTEGER acols;

  INTEGER brows;
  INTEGER bcols;

  realmat a,b,r1,r2;

  arows = brows = acols = bcols = 1;

  a.resize(arows,acols);
  b.resize(brows,bcols);

  INT_32BIT seed = 100542;

  for (INTEGER i=1; i<=a.size(); ++i) a[i] = unsk(seed);

  dgmcpy(a,b);

  cout << a - b;

  a.resize(0,0);

  dgmcpy(a,b);

  cout << b;

  arows = 1 ; acols = 25 ; brows = 25; bcols = 1;

  a.resize(arows,acols);
  b.resize(brows,bcols);

  for (INTEGER i=1; i<=a.size(); ++i) a[i] = unsk(seed);

  dgmcpy(a,b);

  cout << a - b;

  arows = 5 ; acols = 25 ; brows = 25; bcols = 3;

  a.resize(arows,acols);
  b.resize(brows,bcols);

  for (INTEGER i=1; i<=a.size(); ++i) a[i] = unsk(seed);

  dgmcpy(a,b);

  cout << a - b;

  return 0;
}
